# This code is part of the 'enjuewemela' game
# License: GPLv3
# Main author: Facundo Batista
# Code, bug tracker, etc:
#   https://launchpad.net/enjuewemela/
#

"""Configuration file."""

# this is to be replaced by main, and used by other modules
BASEDIR = None

# the edge length of the slot
ARISTA = 60

# the color base of the slots
BASE_COLOR = 127, 127, 127

# border thick around the board
BORDER = 4

# seconds that take the piece from travel from one position to the other
# when swapping to make the move
PIECE_TRIP_TIME = .2

# seconds that take a piece to fall into a new position when the below
# ones explode
FALL_TIME = .4

# what we want to hear?
MUSIC = True
SOUND = True

# the time it takes for the bubble to disappear
BUBBLE_LIFE = 1

# ------------------------------
#
#  Automatic variables
#

# the edge length of a piece
PIECE_SIZE = int(ARISTA * .9)
